Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Class EJBTimerServiceLocator.MBeanDelegate

    java.lang.Object
      org.jboss.ejb.txtimer.EJBTimerServiceLocator.MBeanDelegate

All Implemented Interfaces:
  EJBTimerService

Enclosing class:
  EJBTimerServiceLocator

public static class EJBTimerServiceLocator.MBeanDelegate
extends Object
implements EJBTimerService

Delegates method calls to the EJBTimerService to the MBean server

Field Summary

Fields inherited from interface org.jboss.ejb.txtimer.EJBTimerService
`OBJECT_NAME`

Constructor Summary
`EJBTimerServiceLocator.MBeanDelegate(javax.management.MBeanServer server)`

Method Summary
`javax.ejb.TimerService` | `createTimerService(javax.management.ObjectName containerId, Object instancePk, Container container)` Create a TimerService for a given TimedObjectId that lives in a JBoss Container.
`javax.ejb.TimerService` | `createTimerService(javax.management.ObjectName containerId, Object instancePk, TimedObjectInvoker invoker)` Create a TimerService for a given TimedObjectId that is invoked through the given invoker
`javax.ejb.TimerService` | `getTimerService(javax.management.ObjectName containerId, Object instancePk)` Get the TimerService for a given TimedObjectId
`void` | `removeTimerService(javax.management.ObjectName containerId, Object instancePk)` Remove the TimerService for a given TimedObjectId
`void` | `retryTimeout(javax.management.ObjectName containerId, Object instancePk, javax.ejb.Timer timer)` Invokes the ejbTimeout method a given TimedObjectId

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBTimerServiceLocator.MBeanDelegate

    public EJBTimerServiceLocator.MBeanDelegate(javax.management.MBeanServer server)

Method Detail

### createTimerService

    public javax.ejb.TimerService createTimerService(javax.management.ObjectName containerId,
                                                     Object instancePk,
                                                     Container container)
                                              throws IllegalStateException

  Description copied from interface: `EJBTimerService`
  Create a TimerService for a given TimedObjectId that lives in a JBoss Container. The TimedObjectInvoker is constructed from the invokerClassName.

  Specified by:
    `createTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
    `container` - The Container that is associated with the TimerService
  Returns:
    the TimerService
  Throws:
    `IllegalStateException`

### createTimerService

    public javax.ejb.TimerService createTimerService(javax.management.ObjectName containerId,
                                                     Object instancePk,
                                                     TimedObjectInvoker invoker)
                                              throws IllegalStateException

  Description copied from interface: `EJBTimerService`
  Create a TimerService for a given TimedObjectId that is invoked through the given invoker

  Specified by:
    `createTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
    `invoker` - The TimedObjectInvoker
  Returns:
    the TimerService
  Throws:
    `IllegalStateException`

### getTimerService

    public javax.ejb.TimerService getTimerService(javax.management.ObjectName containerId,
                                                  Object instancePk)
                                           throws IllegalStateException

  Description copied from interface: `EJBTimerService`
  Get the TimerService for a given TimedObjectId

  Specified by:
    `getTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
  Returns:
    The TimerService, or null if it does not exist
  Throws:
    `IllegalStateException`

### retryTimeout

    public void retryTimeout(javax.management.ObjectName containerId,
                             Object instancePk,
                             javax.ejb.Timer timer)

  Description copied from interface: `EJBTimerService`
  Invokes the ejbTimeout method a given TimedObjectId

  Specified by:
    `retryTimeout` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
    `timer` - the Timer that is passed to ejbTimeout

### removeTimerService

    public void removeTimerService(javax.management.ObjectName containerId,
                                   Object instancePk)
                            throws IllegalStateException

  Description copied from interface: `EJBTimerService`
  Remove the TimerService for a given TimedObjectId

  Specified by:
    `removeTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
  Throws:
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.